Loading...
Searching...
No Matches
QwtPickerClickPointMachine Class Reference

A state machine for point selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerClickPointMachine:

## Public Member Functions

| QwtPickerClickPointMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members

Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine. More...

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 102 of file qwt_picker_machine.h.

## Constructor & Destructor Documentation

## QwtPickerClickPointMachine()

QwtPickerClickPointMachine::QwtPickerClickPointMachine | ( |  | ) |

Constructor.

Definition at line 94 of file qwt_picker_machine.cpp.

## Member Function Documentation

## transition()

QList< QwtPickerMachine::Command > QwtPickerClickPointMachine::transition | ( | const QwtEventPattern & | eventPattern,
|  | const QEvent * | event )

override virtual

Transition.

Implements QwtPickerMachine.

Definition at line 100 of file qwt_picker_machine.cpp.